/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sun Nov  6 08:27:10 2005
 *****************************************************************************/

/*===========================================================================
 * Changes for table: SystemUser
 * Upgrade strategy: changeByCopy
 *===========================================================================*/
-- Drop all table constraints and indexes prior to renaming
ALTER TABLE SystemUser
    DROP CONSTRAINT pk_User CASCADE;

ALTER TABLE SystemUser
    RENAME TO tmp_SystemUser;

CREATE TABLE SystemUser (
    systemId             INTEGER,
    username             VARCHAR(20),
    name                 VARCHAR(50),
    isSuperuser          CHAR(1),
    password             VARCHAR(32),
    email                VARCHAR(100),
    enabled              CHAR(1)
);

