/****************************************************************************
 * Schema upgrade - DML script
 *
 * This script copies any required data for tables that are being
 * recreated (where changes cannot be made in-place)
 *
 * Run this after the first schema upgrade script, but before the second
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sun Nov  6 08:27:10 2005
 *****************************************************************************/

/*===========================================================================
 * DML to copy column values from SystemUser to tmp_SystemUser
 *
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO SystemUser (systemId, username, name, isSuperuser, password, email, enabled)
    SELECT systemId, username, name, isSuperuser, md5(username || password), email, 'Y'
    FROM tmp_SystemUser;

