/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             mysql
 *****************************************************************************/

/*===========================================================================
 * Table:            fileaction
 * Description:      Tracks actions on project files by particular users, so we
 *                   can show users which files they have yet to review
 *===========================================================================*/
CREATE TABLE fileaction (
    systemid             INT AUTO_INCREMENT NOT NULL,
    projectfile          INT NOT NULL,
    systemuser           INT NOT NULL,
    views                SMALLINT NOT NULL,
    commentviews         SMALLINT NOT NULL,
    comments             SMALLINT NOT NULL,
    score                SMALLINT NOT NULL
);

