/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Changes for table: repository
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE repository
    ADD CONSTRAINT pk_repository PRIMARY KEY (systemid);


/*===========================================================================
 * Changes for table: project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE project
    ADD CONSTRAINT fk_project_repository FOREIGN KEY (repository) REFERENCES repository;


/*===========================================================================
 * Drop tables, views and sequences no longer needed
 *===========================================================================*/
