  #!/bin/sh
  
  # Build the SF homepage
  
  BASE_DIR=`dirname $0`/..
  DOCS_DIR=$BASE_DIR/docs
  HOME_PAGE_DIR=$DOCS_DIR/homepage
  OUTPUT_DIR=$DOCS_DIR/output-sf
  IMAGE_DIR=$DOCS_DIR/images
+ IMAGE_OUTPUT_DIR=$OUTPUT_DIR/images
  
  echo "Updating documentation"
  $BASE_DIR/bin/buildDoco.sh
  
  echo "Building SF output dir"
  if [ -d $OUTPUT_DIR ]; then
      rm -fR $OUTPUT_DIR
  fi
  mkdir $OUTPUT_DIR
+ mkdir $IMAGE_OUTPUT_DIR
  
  cp -a $HOME_PAGE_DIR/*.html $OUTPUT_DIR
  cp -a $HOME_PAGE_DIR/*.css $OUTPUT_DIR
+ cp -a $IMAGE_DIR/overview*.png $IMAGE_OUTPUT_DIR
  
  echo "Copying clichart doco"
  mkdir $OUTPUT_DIR/docs
  cp -a $DOCS_DIR/output/html/* $OUTPUT_DIR/docs
  
  find $OUTPUT_DIR -name "*.sav" -o -name "*~" -exec rm {} \;
  find $OUTPUT_DIR -name ".svn" -exec rm -fR {} \;
  
  echo "DONE!  See $OUTPUT_DIR/index.html"