/*
 * Copyright (c) 2005 Dialect Solutions Holdings. All rights reserved.
 */
package net.sf.clichart.main.cliserver;

import net.sf.clichart.chart.OptionsBean;
import net.sf.clichart.main.InvalidOptionsException;

/**
 * Interface for handlers that can set options into an OptionBean based on a command and optional argument
 *
 * @author johnd
 */
public interface OptionSetter {

    /* ========================================================================
     *
     * Interface (static) variables.
     */

    /* ========================================================================
     *
     * Public methods
     */
    public void setOption(OptionsBean options, String command, String argument) throws InvalidOptionsException;
}