/****************************************************************************
 * Schema upgrade - DML script
 * 
 * This script copies any required data for tables that are being
 * recreated (where changes cannot be made in-place)
 * 
 * Run this after the first schema upgrade script, but before the second
 *
 * Schema:           jcr
 * DBMS:             postgres
 * Generated:        Sat Jul 30 18:33:51 2005
 *****************************************************************************/

/*===========================================================================
 * DML to copy column values from SystemUser to tmp_SystemUser
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO SystemUser (systemId, username, name, isSuperuser, password, email)
    SELECT systemId, username, name, isSuperuser, password, email
    FROM tmp_SystemUser;


/*===========================================================================
 * DML to copy column values from Project to tmp_Project
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO Project (systemId, name, owner, createDate, directory, currentStatus)
    SELECT systemId, name, owner, createDate, directory, currentStatus
    FROM tmp_Project;


/*===========================================================================
 * DML to copy column values from ProjectFile to tmp_ProjectFile
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO ProjectFile (systemId, project, path, changeType)
    SELECT systemId, project, path, changeType
    FROM tmp_ProjectFile;

