/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Changes for table: fileaction
 * Upgrade strategy: create
 *===========================================================================*/
ALTER TABLE fileaction
    ADD CONSTRAINT pk_fileaction PRIMARY KEY (systemid);

ALTER TABLE fileaction
    ADD CONSTRAINT fk_fileaction_projectfile FOREIGN KEY (projectfile) REFERENCES projectfile;

ALTER TABLE fileaction
    ADD CONSTRAINT fk_fileaction_systemuser FOREIGN KEY (systemuser) REFERENCES systemuser;

CREATE INDEX in_fileaction_projectfile ON fileaction (
    projectfile
);


/*===========================================================================
 * Drop tables, views and sequences no longer needed
 *===========================================================================*/
