/****************************************************************************
 * Schema upgrade - script 2 of 2
 * Run this after any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             postgres8
 *****************************************************************************/

/*===========================================================================
 * Changes for table: project
 * Upgrade strategy: changeInPlace
 *===========================================================================*/
ALTER TABLE project
    DROP COLUMN minimaldiff;

ALTER TABLE project
    ADD CONSTRAINT fk_project_systemuser_delegate FOREIGN KEY (ownerdelegate) REFERENCES systemuser;


/*===========================================================================
 * Drop tables, views and sequences no longer needed
 *===========================================================================*/
