/****************************************************************************
 * Schema upgrade - DML script
 * 
 * This script copies any required data for tables that are being
 * recreated (where changes cannot be made in-place)
 * 
 * Run this after the first schema upgrade script, but before the second
 *
 * Database:         jcr
 * DBMS:             sqlite
 *****************************************************************************/

/*===========================================================================
 * DML to copy column values from project to tmp_project
 * 
 * NOTE: This may not be correct - you should check this VERY carefully
 *===========================================================================*/
INSERT INTO project (systemid, name, owner, ownerdelegate, createdate, directory, currentstatus, originalfileset, modifiedfileset, ignorewhitespace, notes)
    SELECT systemid, name, owner, NULL, createdate, directory, currentstatus, originalfileset, modifiedfileset, ignorewhitespace, notes
    FROM tmp_project;

