/****************************************************************************
 * Schema upgrade - script 1 of 2
 * Run this before any data upgrade scripts
 *
 * Database:         jcr
 * DBMS:             mysql
 *****************************************************************************/

/*===========================================================================
 * Drop foreign keys (including those being recreated in second script)
 *===========================================================================*/

/*===========================================================================
 * Table:            projectreviewer
 * Description:      Records system users allocated to review projects
 *===========================================================================*/
CREATE TABLE projectreviewer (
    systemid             INT AUTO_INCREMENT NOT NULL,
    project              INT NOT NULL,
    systemuser           INT NOT NULL,
    reviewrole           VARCHAR(2),
    notifydate           DATETIME,
    reviewcompletedate   DATETIME,
    CONSTRAINT pk_projectreviewer PRIMARY KEY (systemid)
);

